## plone-3.0.6p1.tgz

=== zope/lib/python/Products/kupu/Makefile ===
##############################################################################
#
# Copyright (c) 2003-2005 Kupu Contributors. All rights reserved.
#
# This software is distributed under the terms of the Kupu
# License. See LICENSE.txt for license text. For a list of Kupu
# Contributors see CREDITS.txt.
#
##############################################################################

# $Id: Makefile 35670 2006-12-13 12:29:42Z duncan $

XSLTPROC = /usr/bin/env xsltproc
XSL_DEBUG = --param debug true\(\)
XSLTPROC_PARAMS = --nonet --novalid --xinclude
XSL_FILE = make.xsl

JAVA_DIR=java.build
JAVA_RESOURCE=org.oscom.kupu.Messages
MSGFMT = /usr/bin/env msgfmt --verbose
MSGEN  = /usr/bin/env msgen

all: clean kupu.html kupuform.html kupumulti.html zope2macros plonemacros lenyamacros kupucnf.html

kupu.html:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o common/kupu.html $(XSL_FILE) dist.kupu

zope2macros:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o common/kupumacros.html $(XSL_FILE) dist-zope2.kupu

kupuform.html:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o common/kupuform.html $(XSL_FILE) dist-form.kupu

kupumulti.html:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o common/kupumulti.html $(XSL_FILE) dist-multi.kupu

kupucnf.html:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o common/kupucnf.html $(XSL_FILE) dist-cnf.kupu

plonemacros:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o plone/kupu_plone_layer/kupu_wysiwyg_support.html $(XSL_FILE) dist-plone.kupu

lenyamacros:
	$(XSLTPROC) $(XSLTPROC_PARAMS) -o apache-lenya/kupu/kupumacros.html $(XSL_FILE) dist-apache-lenya.kupu

#used by kupu-18n.jar
$(JAVA_DIR)/kupu-defaults.po: i18n/kupu.pot
	mkdir -p $(JAVA_DIR)
	$(MSGEN) $< -o $@ 

#kupu-18n.jar can e.g. be used by fmt-tags of jstl 1.1, see e.g. common/kupu.pox.jspx
kupu-i18n.jar: i18n/*.po $(JAVA_DIR)/kupu-defaults.po
	mkdir -p $(JAVA_DIR)
	 $(MSGFMT) --java2  -d $(JAVA_DIR)  -r $(JAVA_RESOURCE) $(JAVA_DIR)/kupu-defaults.po
	for PO in `ls i18n/kupu-*.po` ; do \
		LOCALE=`echo $${PO} | sed "s|i18n/kupu-||;s|\.po||;s|-|_|g"`; \
		$(MSGFMT) --java2  -D . -d $(JAVA_DIR) -r $(JAVA_RESOURCE) -l $${LOCALE} $${PO}; \
	done
	jar cf $@ -C $(JAVA_DIR) org


clean:
	rm -f common/kupu.html
	rm -f common/kupumacros.html
	rm -f common/kupuform.html
	rm -f common/kupumulti.html
	rm -f common/kupucnf.html
	rm -f plone/kupu_plone_layer/kupu_wysiwyg_support.html
	rm -f apache-lenya/kupu/kupumacros.html
	rm -rf $(JAVA_DIR)
	rm -f kupu-i18n.jar

debug:
	$(XSLTPROC) $(XSL_DEBUG) $(XSLTPROC_PARAMS) -o common/kupu.html $(XSL_FILE) dist.kupu

=== zope/lib/python/Products/Archetypes/debian/changelog ===
zope-cmfarchetypes (1.2.4+1.2.5-rc4) unstable; urgency=low

  * New upstream release 1.2.5 release candidate 4 

 -- Christian Heimes <heimes@faho.rwth-aachen.de>  Sun, 21 Mar 2004 17:06:58 +0100

zope-cmfarchetypes (1.1+20030819-1) unstable; urgency=low

  * Snapshot update (fix metadata). 

 -- Sylvain Thnault <sylvain.thenault@logilab.fr>  Tue, 19 Aug 2003 11:33:13 +0200

zope-cmfarchetypes (1.1+20030813-2) unstable; urgency=low

  * Snapshot update. 

 -- Sylvain Thnault <sylvain.thenault@logilab.fr>  Tue, 5 Aug 2003 14:42:05 +0200
  

zope-cmfarchetypes (1.1+20030813-1) unstable; urgency=low

  * Initial debian packaging. 

 -- Sylvain Thnault <sylvain.thenault@logilab.fr>  Tue, 5 Aug 2003 14:42:05 +0200

=== zope/lib/python/Products/Archetypes/debian/control ===
Source: zope-cmfarchetypes
Section: web
Priority: optional
Maintainer: Sylvain Thenault <sylvain.thenault@logilab.fr> 
Build-Depends-Indep: debhelper (>= 3.0.0)
Standards-Version: 3.6.0

Package: zope-cmfarchetypes
Architecture: all
Depends: zope (>= 2.6.2), zope-cmfplone (>= 2.0), zope-validation (>=1.0.2),
 zope-generator (>= 1.0.2), zope-cmftransforms (>= 1.0.3)
Description: A developers framework for rapidly developing and deploying rich, full featured content types within the context of Zope/CMF and Plone
 Archetypes
 Formerly known as CMFTypes, Archetypes is a developers framework
 for rapidly developing and deploying rich, full featured content
 types within the context of Zope/CMF and Plone.
 .
 Archetypes is based around the idea of an _Active Schema_. Rather
 than provide a simple description of a new data type Archetype
 schemas do the actual work and heavy lifting involved in using
 the new type. Archetype Schemas serve as easy extension points
 for other developers as project specific components can be
 created and bound or you can choose among the rich existing set
 of features.
 .
 Features
 * Simple schemas with working default policy.
 * Power and flexibility with lowered incidental complexity.
 * Integration with rich content sources such as Office Product Suites.
 * Full automatic form generation
 * i18n content on a field basis
 .
 Homepage: http://www.sourceforge.net/projects/archetypes

=== zope/lib/python/Products/validation/debian/control ===
Source: validation
Section: python
Priority: optional
Maintainer: Sylvain Thenault <sylvain.thenault@logilab.fr> 
Build-Depends-Indep: debhelper (>= 3.0.0)
Standards-Version: 3.6.0

Package: zope-validation
Architecture: all
Depends: zope (>= 2.6)
Description: Some generic validators originaly defined for Archetypes
 Some generic validators originaly defined for Archetypes
 .
 Homepage: http://www.sourceforge.net/projects/archetypes

=== zope/lib/python/Products/PortalTransforms/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4



build: DH_OPTIONS=
build: build-stamp
build-stamp: 
	dh_testdir
	
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	rm -rf debian/zope-cmftransforms/
	find . -name "*.pyc" | xargs rm -f
	rm -f changelog.gz
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	find . -type f -not \( \
			-path './debian/*' -or \
			-path './build/*' -or \
			-path './docs/*' -or \
			-path '*/CVS/*' -or \
			-name 'build-stamp' -or \
			-iname 'authors*' -or \
			-iname 'license.txt' -or \
			-name 'ChangeLog*' -or \
			-name 'README*' -or \
			-name 'INSTALL*' -or \
			-name 'TODO*' -or \
			-name 'COPYING*' -or \
			-name 'MANIFEST*' -or \
			-name 'DEPENDS' -or \
			-name 'RECOMMENDS' -or \
			-name 'SUGGESTS' -or \
			-name '.cvsignore' \
			-or -path './tests/*' \
        		\) -exec install -D --mode=644 {} debian/zope-cmftransforms/usr/lib/zope/lib/python/Products/PortalTransforms/{} \;
	
	
	
	
	# install tests
	(cd tests && find . -type f -not \( -path '*/CVS/*' -or -name '*.pyc' \) -exec install -D --mode=644 {} ../debian/zope-cmftransforms-test/usr/share/doc/zope-cmftransforms/test/{} \;)


# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	
	
	
	# install text documentation
	cp -r docs/dev_manual.rst docs/user_manual.rst debian/zope-cmftransforms/usr/share/doc/zope-cmftransforms/ 
	
	# install html documentation
	#cp -r docs/dev_manual.html docs/user_manual.html debian/zope-cmftransforms/usr/share/doc/zope-cmftransforms/html/
	
	gzip -9 -c ChangeLog > changelog.gz
	dh_installdocs -A README TODO changelog.gz 
	dh_installchangelogs
	
	dh_link
	dh_compress -X.py
	dh_fixperms
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir 
	dh_testroot 
	dh_install
	
	
	
	# install text documentation
	cp -r docs/dev_manual.rst docs/user_manual.rst debian/zope-cmftransforms/usr/share/doc/zope-cmftransforms/ 
	
	# install html documentation
	cp -r docs/dev_manual.html docs/user_manual.html debian/zope-cmftransforms/usr/share/doc/zope-cmftransforms/html/
	
	gzip -9 -c ChangeLog > changelog.gz
	dh_installdocs -A README TODO changelog.gz 
	dh_installchangelogs
	
	dh_strip
	dh_link
	dh_compress -X.py 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep 
.PHONY: build clean binary-arch binary-indep binary
